Distribution:   CCux-Linux
Packager:	Leif Middelschulte <leif.middelschulte@gmail.com>

Name:		thinkfinger
Summary:	driver for SGS Thomson Microelectronics fingerprint readers 
Version:	0.3
Release:	1
License:	GNU/GPL 
URL:		http://sourceforge.net/projects/thinkfinger/
Group:		System/Security
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	pam
BuildRequires: 	glibc-devel
BuildRequires:	libtool
BuildRequires:	pam-devel
BuildRequires:	libusb-devel >= 0.1.11
BuildRequires:	pkg-config

%define pamdir /lib/security


%description
ThinkFinger is a driver for the UPEK/SGS Thomson Microelectronics fingerprint
reader (USB ID 0483:2016). It provides a pam-module usable with e.g. desktop managers or any other program that uses pam authentication.

%post
echo "auth     sufficient     pam_thinkfinger.so" >> /etc/pam.d/common-auth
echo "Thinkfinger has been installed - Biometric signatures will be stored in /etc/pam_thinkfinger"
ldconfig

%postun
sed -i '/pam_thinkfinger.so/d' /etc/pam.d/common-auth
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --enable-pam --with-securedir=%{pamdir} --with-birdir=%_sysconfdir/pam_thinkfinger
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/pam_thinkfinger

%files
%defattr(-,root,root)
%_sysconfdir/pam_thinkfinger
%_sbindir
%_libdir
%_includedir
%_mandir
%{pamdir}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Apr 22 2007 Leif Middelschulte <leif.middelschulte@gmail.com> 0.3-1
- Version update
* Mon Jan 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.2.1-1
- Version update
* Mon Jan 29 2007 Leif Middelschulte <leif.middelschulte@gmail.com> 0.2-1
- Initial Release
